import { FileManagerContext } from "../../../types";
import { Asset, AssetProcessor, AssetRequest } from "../..";
import { AssetAuthorizer } from "./AssetAuthorizer";
export declare class PrivateFilesAssetProcessor implements AssetProcessor {
    private readonly context;
    private assetProcessor;
    private assetAuthorizer;
    constructor(context: FileManagerContext, assetAuthorizer: AssetAuthorizer, assetProcessor: AssetProcessor);
    process(assetRequest: AssetRequest, asset: Asset): Promise<Asset>;
    /**
     * !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     * This method performs a very awkward data loading and type cast which should be removed as soon as we resolve the FLP issue!
     * !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     */
    private getFileById;
    private isPrivate;
    private requestedViaPrivateEndpoint;
    private requestedViaPublicEndpoint;
}
